%	
% Nabil Tahani, HEC Montral. Copyright 2003.
%
% This "daemon" program allows to run the main program "sqroot_ou_results" 
% under different settings
%

clear;
clc;
r = .05;
v = .2^2;
tau = [0; 0.25; 0.5; 0.75; 1];
n = 17;

%
% Black-Scholes call price 
%
K = 100;
x = log(K);
param  = [r ; 0 ; 0.5 ; 0 ; 1e-10 ; 0 ; 0 ; 0]; 
% 			sigma = 1e-10 to avoid division by zero
%			mu     = param(1);   alpha  = param(2);
%			gamma  = param(3);	rho    = param(4);
%			sigma  = param(5);	lambda = param(6);
%			kappa  = param(7);	theta  = param(8);
call = sqroot_ou_results(x,K,r,v,tau,param,'sqroot',n,n)

%
% Longstaff-Schwartz call price
%
K = 0.02;
x = log(K);
param  = [0.02 ; 0.015 ; 0 ; 0 ; 1e-10 ; 0 ; 0 ; 0];
call = sqroot_ou_results(x,K,r,v,tau,param,'sqroot',n,n)

%
% Zhu square-root call price
%
K = 100;
x = log(K);
param  = [r ; 0 ; 0.5 ; -0.5 ; 0.1 ; 4 ; 4 ; 0.06];
call = sqroot_ou_results(x,K,r,v,tau,param,'sqroot',n,n)

%
% Zhu Ornstein-Uhlenbeck call price
%
K = 100;
x = log(K);
param  = [r ; 0 ; 0.5 ; -0.5 ; 0.1 ; 4 ; 4 ; 0.06];
call = sqroot_ou_results(x,K,r,v,tau,param,'ou',n,n)

%
% Our square-root mean-reverting call price
%
K = 0.02;
x = log(K);
param  = [0.03 ; 0.02 ; 0 ; -0.5 ; 0.2 ; 1 ; 1 ; 0.05];
call = sqroot_ou_results(x,K,r,v,tau,param,'sqroot',n,n)

%
% Our Ornstein-Uhlenbeck mean-reverting call price
%
K = 0.02;
x = log(K);
param  = [0.03 ; 0.02 ; 0 ; -0.5 ; 0.2 ; 1 ; 1 ; 0.05];
call = sqroot_ou_results(x,K,r,v,tau,param,'ou',n,n)