function [i1] = sqroot_ou_integ1(phi,x,v,tau,K,param,label)
%	
% Nabil Tahani, HEC Montral. Copyright 2003.
%
% This function computes the square-root and the O-U first integrands
% under our mean reverting models
%

epsilon = 1e-10;
[cf_1,t,y] = sqroot_ou_cf(1,x,v,tau,param,label);
[cf1,t,y] = sqroot_ou_cf(1+i*phi,x,v,tau,param,label);
[dcf_1] = (sqroot_ou_cf(1+epsilon,x,v,tau,param,label)-cf_1)/epsilon;
if phi ~= 0
   i1 = real(cf1 * K^(-i*phi)./(i*phi*cf_1));
else 
   i1 = real( (dcf_1./cf_1) - log(K) );
end;