function [call] = sqroot_ou_results(x,K,r,v,tau,param,label,n1,n2)
%	
% Nabil Tahani, HEC Montral. Copyright 2003.
%
% This main program computes the option price under our square-root and O-U
% mean reverting models
%

%			mu     = param(1);
%			alpha  = param(2);
%			gamma  = param(3);
%			rho    = param(4);
%			sigma  = param(5);
%			lambda = param(6);
%			kappa  = param(7);
%			theta  = param(8);

for n = n1:1:n2
i1 = quad_laguerre('sqroot_ou_integ1',n,x,v,tau,K,param,label);
p1 = (1/2) + (1/pi)* i1;
i2 = quad_laguerre('sqroot_ou_integ2',n,x,v,tau,K,param,label);
p2 = (1/2) + (1/pi)* i2;
[cf_1] = sqroot_ou_cf(1,x,v,tau,param,label);
call = exp(-r*tau).*(cf_1.*p1-K*p2);
end;

