function [i2] = zhu_sqroot_ou_integ2(phi,x,v,tau,K,param,label)
%	
% Nabil Tahani, HEC Montral. Copyright 2003.
%
% This function computes the square-root and the O-U second integrands
% under Zhu (2000) models
%

scale = param(9,1);
epsilon = 1e-10;
[cf2] = zhu_sqroot_ou_cf(i*phi,x,v,tau,param,label);
[cf2_0] = zhu_sqroot_ou_cf(0,x,v,tau,param,label);
[dcf2_0]= (zhu_sqroot_ou_cf(0+epsilon,x,v,tau,param,label)-cf2_0)/epsilon; 
if phi ~= 0
   i2 = scale * real(cf2 .* (K.^(-i*phi)) ./ (i*phi));
else
   i2 = scale * real( dcf2_0 - log(K) );
end;